Authorization: Bearer ********************curl --location --request PATCH 'connections/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "string",
"description": "string",
"connectionType": "PUBLIC",
"connectionPlatform": "HIVE",
"status": "string",
"is_enabled": "ENABLED",
"payload": {
"type": "hive",
"host": "string",
"port": 10000,
"database": "string",
"username": "string",
"password": "string",
"auth": "NONE",
"path": "string",
"driver": "string",
"executionMode": "string",
"tableName": "string"
}
}'{
"message": "Connection updated successfully",
"connection": {
"id": "f13f1d10-69f1-4ae8-b834-4180ee09fb60",
"name": "Hive Tes3",
"description": null,
"connectionType": "PRIVATE",
"connectionPlatform": "HIVE",
"payload": {
"auth": "NONE",
"host": "hive-server-hostname",
"path": "/user/hive/warehouse",
"port": 10000,
"type": "hive",
"database": "default",
"password": "hive_password",
"username": "hive_user2"
},
"status": "ACTIVE",
"is_enabled": "ENABLED",
"createdAt": "2026-03-03T06:48:47.943Z",
"updatedAt": "2026-03-03T07:04:55.807Z",
"createdBy": {
"id": "00000000-0000-0000-0000-000000000001",
"email": "admin@spark.local",
"name": "Default Admin"
},
"members": [
{
"userId": "00000000-0000-0000-0000-000000000001",
"role": "OWNER",
"user": {
"id": "00000000-0000-0000-0000-000000000001",
"email": "admin@spark.local",
"name": "Default Admin"
}
}
]
}
}